%global pypi_name CairoSVG
%global pkg_name  cairosvg

Name:           python-%{pkg_name}
Version:        2.7.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        A Simple SVG Converter for Cairo
License:        MIT
URL:            https://pypi.org/project/CairoSVG/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A Simple SVG Converter for Cairo.

%package -n %{pkg_name}
Summary:        A Simple SVG Converter for Cairo
Group:          Development/Python

# mga#28679
Obsoletes:      CairoSVG < 2.5.2-3
Provides:       CairoSVG = %{version}-%{release}

%description -n %{pkg_name}
A Simple SVG Converter for Cairo.

%package -n python3-%{pkg_name}
Summary:        A Simple SVG Converter for Cairo
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pkg_name}}

Requires:       %{pkg_name}

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-devel

%description -n python3-%{pkg_name}
A Simple SVG Converter for Cairo.

%prep
%setup -q -n %{pypi_name}-%{version}

%autopatch -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files cairosvg

%files -n %{pkg_name}
%{_bindir}/cairosvg

%files -n python3-%{pkg_name} -f %{pyproject_files}


%changelog
* Mon Mar 03 2025 wally <wally> 2.7.1-2.mga10
+ Revision: 2159636
- rebuild for python3.13

* Sun Apr 14 2024 papoteur <papoteur> 2.7.1-1.mga10
+ Revision: 2057637
- new version 2.7.1

* Fri Dec 29 2023 tv <tv> 2.5.2-7.mga10
+ Revision: 2023434
- Rebuild for python-3.12

* Thu Mar 30 2023 ns80 <ns80> 2.5.2-6.mga9
+ Revision: 1950807
- add a patch from Debian for CVE-2023-27586 (mga#31730)

* Sun Mar 27 2022 umeabot <umeabot> 2.5.2-5.mga9
+ Revision: 1828917
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.5.2-4.mga9
+ Revision: 1785650
- rebuild for python-3.10

* Wed Mar 31 2021 daviddavid <daviddavid> 2.5.2-3.mga9
+ Revision: 1712126
- rename CairoSVG as cairosvg (mga#28679)

* Tue Mar 23 2021 daviddavid <daviddavid> 2.5.2-2.mga9
+ Revision: 1708330
- rebuild for python 3.9

* Thu Mar 11 2021 daviddavid <daviddavid> 2.5.2-1.mga9
+ Revision: 1701421
- new version: 2.5.2

* Sat Jan 16 2021 neoclust <neoclust> 2.5.1-1.mga8
+ Revision: 1672073
- New version 2.5.1 ( security update )

* Sun Nov 22 2020 guillomovitch <guillomovitch> 2.5.0-1.mga8
+ Revision: 1648505
- new version 2.5.0

* Thu Jul 23 2020 ovitters <ovitters> 2.4.2-3.mga8
+ Revision: 1608261
- rebuild for removing pythonegg buildrequires in srpm

* Tue Feb 18 2020 umeabot <umeabot> 2.4.2-2.mga8
+ Revision: 1538225
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 2.4.2-1.mga8
+ Revision: 1461206
- new version: 2.4.2

* Sun Sep 15 2019 daviddavid <daviddavid> 2.4.1-2.mga8
+ Revision: 1441769
- rebuild for python3.8

* Sat Aug 31 2019 daviddavid <daviddavid> 2.4.1-1.mga8
+ Revision: 1435808
- new version: 2.4.1

* Thu Jan 10 2019 shlomif <shlomif> 2.2.1-1.mga7
+ Revision: 1354634
- Rebuild for python3 3.7 ; remove py2 per upstream

* Thu Sep 20 2018 umeabot <umeabot> 1.0.20-2.mga7
+ Revision: 1288396
- Mageia 7 Mass Rebuild

* Sat Jun 16 2018 daviddavid <daviddavid> 1.0.20-1.mga7
+ Revision: 1237165
- new version: 1.0.20
- rename python-cairosvg to python2-cairosvg

* Sat Aug 05 2017 pterjan <pterjan> 1.0.19-2.mga7
+ Revision: 1135334
- Rebuild for python 3.6

* Wed Dec 16 2015 daviddavid <daviddavid> 1.0.19-1.mga6
+ Revision: 910987
- new version: 1.0.19

* Fri Oct 09 2015 daviddavid <daviddavid> 1.0.17-1.mga6
+ Revision: 888572
- new version: 1.0.17 + rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 740611
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-5.mga5
+ Revision: 728116
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-4.mga5
+ Revision: 687913
- Mageia 5 Mass Rebuild

* Sun Jun 01 2014 pterjan <pterjan> 1.0.1-3.mga5
+ Revision: 630316
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.0.1-2.mga5
+ Revision: 628479
- Rebuild for new Python

* Thu Oct 31 2013 neoclust <neoclust> 1.0.1-1.mga4
+ Revision: 548094
- imported package python-cairosvg

